# DXGfxLib.EffectException Class Reference

Now that we use Effects, this means that at some point we do load them and compile them. This exception type is designed specifficaly for situations were bad things did happen during the compilation of the effect file. More...

List of all members.

## Public Member Functions
| EffectException (string message, string fileName, string strErr, Exception innerException)
| The constructor, we should pass the message the effect filename, the error string returned by the compilation and the exception we catched before creating an instance of this specific class.
| EffectException (string message, string fileName, string strErr, Exception innerException)
| The constructor, we should pass the message the effect filename, the error string returned by the compilation and the exception we catched before creating an instance of this specific class.
## Public Attributes
string | effectValidationError = "No output!"
| This strings contains the error string returned during the compilation of the effect.
string | effectFileName = ""
| Information regarding which effect we were processing.

## Detailed Description

Now that we use Effects, this means that at some point we do load them and compile them. This exception type is designed specifficaly for situations were bad things did happen during the compilation of the effect file.

Definition at line 11 of file EffectException.cs.

## Constructor & Destructor Documentation

DXGfxLib.EffectException.EffectException | ( | string | message,
|  | string | fileName,
|  | string | strErr,
|  | Exception | innerException |
| ) |  |  |

The constructor, we should pass the message the effect filename, the error string returned by the compilation and the exception we catched before creating an instance of this specific class.

Parameters:

  | message |
  | fileName |
  | strErr |
  | innerException |

Definition at line 31 of file EffectException.cs.

DXGfxLib.EffectException.EffectException | ( | string | message,
|  | string | fileName,
|  | string | strErr,
|  | Exception | innerException |
| ) |  |  |

The constructor, we should pass the message the effect filename, the error string returned by the compilation and the exception we catched before creating an instance of this specific class.

Parameters:

  | message |
  | fileName |
  | strErr |
  | innerException |

Definition at line 31 of file EffectException.cs.

## Member Data Documentation

string DXGfxLib.EffectException::effectFileName = ""

Information regarding which effect we were processing.

Definition at line 21 of file EffectException.cs.

string DXGfxLib.EffectException::effectValidationError = "No output!"

This strings contains the error string returned during the compilation of the effect.

Definition at line 16 of file EffectException.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/EffectException.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/EffectException.cs